Page MenuHomePhabricator

XTools: Clean up "Pages created" tool
Closed, ResolvedPublic5 Estimated Story Points

Description

A few modifications to the existing code:

  • Match frontend with that of the other tools
  • Add page assessments, date created and initial page size
  • When showing all namespaces, cap each list of pages to 100. There should be a "Show all" link that will then reload the page showing all pages in just that namespace.

For simplicity, we only let users select a particular namespace or all namespaces. So here's a bonus feature (no one requested this, my doing):

  • When all namespaces are shown, allow users to selectively show/hide certain namespaces from the list, then update the stats and chart in real time

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2017, 10:24 PM
MusikAnimal set the point value for this task to 5.Apr 11 2017, 10:24 PM

I sort of did all of this without creating a ticket or estimating, etc., so here's the ticket with my own estimation. It is mostly done but unfortunately we are still having issues with clearing the cache on production so you can't try it out unless you do so on your local.

Relevant commits:

MusikAnimal renamed this task from Clean up "Pages created" tool to XTools: Clean up "Pages created" tool.Apr 11 2017, 10:30 PM
MusikAnimal added a project: XTools.

Moving back to "In Development" until we resolve T162753

MusikAnimal updated the task description. (Show Details)Apr 19 2017, 3:49 PM
MusikAnimal changed the point value for this task from 5 to 8.
MusikAnimal changed the point value for this task from 8 to 5.Apr 20 2017, 3:56 AM

PR: https://github.com/x-tools/xtools-rebirth/pull/20
All the changes to i18n messages were just changing one key name, and then sorting the list.

Live demo: https://tools.wmflabs.org/xtools-dev/pages/en.wikipedia.org/Jimbo%20Wales/all/all

Each list of pages is capped at 100. To see a user who has over 100 pages in a namespace, but does not have a bajillion edits, try https://tools.wmflabs.org/xtools-dev/pages/en.wikipedia.org/L235/all/all

At the time of writing, xtools-dev is on the pages-namespaces branch, but it may change at anytime. It was on editcounter, which I will switch back to when Sam wakes up :)

MusikAnimal updated the task description. (Show Details)Apr 20 2017, 8:47 PM
MusikAnimal updated the task description. (Show Details)Apr 20 2017, 8:49 PM
kaldari closed this task as Resolved.Apr 20 2017, 10:28 PM
kaldari added a subscriber: kaldari.

Looks great!

MusikAnimal moved this task from Inbox to Complete on the XTools board.Apr 20 2017, 10:40 PM